Problem sa yaourt-om

14 odgovora [Poslednji unos]
nidzola
Slika korisnika nidzola
Offline
User
Član od: 12/02/2011

Da li moze neko da mi pomogne, radi se o sledecem....
Kada pokusam nesto da instaliram preko yaourt-a, konkretno conky-lua(mada probao sam i minitube i jos par stvari) desi se uvek sledece:
npr. za conky-lua
[nikola@archpc ~]$ sudo yaourt -S conky-lua
Password:

==> Downloading conky-lua PKGBUILD from AUR...
x PKGBUILD

Comment by: muunleit on Mon, 22 Nov 2010 10:44:49 +0000
Please add conflicts=('conky') to the PKGBUILD.

Comment by: renato_garcia on Sun, 28 Nov 2010 12:55:45 +0000
Done, thanks :-)

Comment by: sickhead on Wed, 29 Dec 2010 14:25:19 +0000
when you are about to use the nvidia vga card features in conky you have to add --enable-nvidia to the PKGBUILD and you need the package NVCtrl library installed (community/libxnvctrl)

First Submitted: Thu, 29 Oct 2009 15:23:00 +0000
conky-lua 1.8.1-2 : An advanced, highly configurable system monitor for X based on torsmo, with lua bindings enabled.
( Unsupported package: Potentially dangerous ! )
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> n

==> conky-lua dependencies:
- alsa-lib (already installed)
- libxml2 (already installed)
- curl (already installed)
- wireless_tools (already installed)
- libxft (already installed)
- glib2 (already installed)
- libxdamage (already installed)
- imlib2 (already installed)
- lua (already installed)
- cairo (already installed)
- pkgconfig (already installed)
- toluapp (building from AUR)

==> conky-lua conflicts:
- conky-1.8.1-2

==> Continue building conky-lua ? [Y/n]
==> -----------------------------------
==>
==> Building and installing package
==> Install or build missing dependencies for conky-lua:

==> Downloading toluapp PKGBUILD from AUR...
x config_linux.py
x PKGBUILD

First Submitted: Thu, 18 Aug 2005 02:22:09 +0000
toluapp 1.0.93-5 : Tool to integrate C/C++ code with Lua
( Unsupported package: Potentially dangerous ! )
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> n

==> toluapp dependencies:
- lua (already installed)
- scons (already installed)

==> Continue building toluapp ? [Y/n]
==> ---------------------------------
==>
==> Building and installing package
==> WARNING: Building package as root is dangerous.
Please run yaourt as a non-privileged user.
==> Making package: toluapp 1.0.93-5 (Wed Feb 23 00:48:44 CET 2011)
==> Checking Runtime Dependencies...
==> Checking Buildtime Dependencies...
==> Retrieving Sources...
-> Downloading tolua++-1.0.93.tar.bz2...
--2011-02-23 00:48:44-- http://www.codenix.com/~tolua/tolua++-1.0.93.tar.bz2
Resolving www.codenix.com... 71.6.165.143
Connecting to www.codenix.com|71.6.165.143|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 163956 (160K) [application/x-bzip2]
Saving to: “tolua++-1.0.93.tar.bz2.part”

100%[======================================>] 163,956 146K/s in 1.1s

2011-02-23 00:48:51 (146 KB/s) - “tolua++-1.0.93.tar.bz2.part” saved [163956/163956]

-> Found config_linux.py
==> Validating source files with md5sums...
tolua++-1.0.93.tar.bz2 ... Passed
config_linux.py ... Passed
==> Extracting Sources...
-> Extracting tolua++-1.0.93.tar.bz2 with bsdtar
==> Starting build()...
scons: Reading SConscript files ...

scons: warning: The Options class is deprecated; use the Variables class instead.
File "/tmp/yaourt-tmp-root/aur-toluapp/src/tolua++-1.0.93/SConstruct", line 19, in
('********* tolua is ', 'bin/tolua++_bootstrap')

scons: warning: The env.Copy() method is deprecated; use the env.Clone() method instead.
File "/tmp/yaourt-tmp-root/aur-toluapp/src/tolua++-1.0.93/src/tests/SCsub", line 2, in
scons: done reading SConscript files.
scons: Building targets ...
gcc -o src/bin/tolua.o -c -O2 -ansi -Wall -fPIC -Iinclude src/bin/tolua.c
sh: gcc: command not found
scons: *** [src/bin/tolua.o] Error 127
scons: building terminated because of errors.
Aborting...
==> ERROR: Makepkg was unable to build toluapp.
==> Restart building toluapp ? [y/N]
==> --------------------------------
==> [nikola@archpc ~]$

Uvek i za sve mi pise ovo na kraju. Sta da radim gde gresim? hvala

0
nidzola
Slika korisnika nidzola
Offline
User
Član od: 12/02/2011

izvinite za cod sto nece da se postavi kak obi bilo pregledno.

nidzola
Slika korisnika nidzola
Offline
User
Član od: 12/02/2011

evo da odgovorim sam sebi, mozda ce nekom trebati:
pacman -S gcc
pacman -S make
Pacman -S patch
i to je to, u ovome je bio problem.

na12
Slika korisnika na12
Offline
User
Član od: 21/12/2008

Ili samo pacman -S base-devel gcc.To je osnovno sto se oznaci prilikom instalacije arch-a,ne znam kako si to propustio.

nidzola
Slika korisnika nidzola
Offline
User
Član od: 12/02/2011

Ne znam ni ja, pratio sam uputstvo na arch wikiju prilikom instalacije, sa malim izmenama... Smile

tomaja
Slika korisnika tomaja
Offline
AdministratorModeratorUser
Član od: 21/03/2001

Nije samo to, već bi pacman trebao da vuče i međuzavisne pakete, osim ako se ne pretpostavlja da base ionako mora da se instalira "pod obavezno" Wink
Ja više preferiram makepkg umesto yaourt-a. Kada se kreira paket onda se instalira sa pacman-om. Do sada nisam imao problema.

na12
Slika korisnika na12
Offline
User
Član od: 21/12/2008

Da,to se podrazumeva,pogledaj PKGBULD-ove,nijedan ne stavlja pod zavisnost gcc i base-devel.

atomic
Slika korisnika atomic
Offline
User
Član od: 29/05/2006

@nidzola
Mali savet. Kada koristiš yaourt nema potrebe da kucaš 'sudo' ispred.

Moneo
Slika korisnika Moneo
Offline
User
Član od: 30/05/2006

@Tomaja
Pa yaourt je nista drugo do wrapper i set skripti za pacman - kada se iskompajlira binarni paket on koristi takodje pacman da bi ga instalirao Smile

__________________

Moj blog
Igrorama blog

tomaja
Slika korisnika tomaja
Offline
AdministratorModeratorUser
Član od: 21/03/2001

@Moneo
Znam Wink Više sam mislio na instalaciju AUR paketa direktnim korišćenjem PKGBUILD > makepkg -s komande, odnosno build binarnog paketa i njegovu instalaciju bez yaourt-a, koga izbegavam da koristim. Možda ne bi bilo loše probati packer
Inače, na Arch wiki-ju se za AUR, yaourt i ne pominje.
Malo više o ovoj priči na https://bbs.archlinux.org/viewtopic.php?id=88115

nidzola
Slika korisnika nidzola
Offline
User
Član od: 12/02/2011

atomic wrote:
@nidzola
Mali savet. Kada koristiš yaourt nema potrebe da kucaš 'sudo' ispred.

predpostavio sam Smile polako uhodavam se u Arch linuxu.